function R = refrakce(z,b,t)
% Oprava z refrakce zenitov vzdlenosti
% R = refrakce(z,b,t) [rad]
% z ... zenitov vzdlenost [rad]
% b ... tlak [hPa]
% t ... teplota [C]

R = ((60.27*tan(z) - 0.07*tan(z).^3).* (b/1048.63) .* 1.03417./(1 + 0.00367*t))*pi/3600/180;
