function hmmss = hmsr(cas,digits)
% Pevod asu v hodinch v desetinn podob na formt h:mm:ss.000
% Syntax: hms(cas,digits)
% cas ...... as, kter chceme pevst
% digits ... poet desetinnch mst pro vteiny (rozsah 0 a 9; implicitn 0, pokud nen zadno) 
% Opraven a vylepen verze, datum: 11.12.2002

cas = cas / pi*12;

if nargin == 1 digits = 0; end
if digits < 0
    digits = 0;
elseif digits > 9
    digits = 9;
end
    
if sign(cas) < 0
    minus = '-';
else
    minus = '';
end

cas = abs(cas);

d = fix(cas);
m = fix(cas*60 - d*60);
s = cas*3600 - d*3600 - m*60;

test = round(s*10^digits)/10^digits;
if test == 60
    s = 0;
    m = m + 1;
end
if m == 60
    m = 0;
    d = d + 1;
end
if (test == 0) & (m == 0) & (d == 0)
    minus = '';
end

if m < 10 sm = '0'; else sm = ''; end
if s < 10 ss = '0'; else ss = ''; end

format_string = ['%s%d:%s%d:%s%.' num2str(digits) 'f'];
hmmss = sprintf(format_string,minus,d,sm,m,ss,s);

