function da = paralaxa_a(fi,a,z)
% Funkce na vpoet denn paralaxy Slunce
% Syntax: da = paralaxa_a(fi,a,z) [rad]
% fi ... zempisn ka [rad]
% a  ... azimut [rad]
% z  ... zenitov vzdlenost [rad]
% Vstupy mou bt vektory stejn dimenze

e2 = (6378137^2-6356752.31425^2)/6378137^2;  % excentricita WGS-84
fic = atan((1-e2)*tan(fi)); % geocentrick ka
pix = 8.794148*pi/3600/180; % Slunen paralaxa


da = pix * (fi - fic) .* sin(1*pi/3600/180) .* sin(a) ./ sin(z);

